#ifndef TCPSOCKET_H
#define TCPSOCKET_H

#include <QObject>
#include <QTcpSocket>
#include <QAbstractSocket>
#include <QTimer>

#include <LCNC_Headers.h>



struct __comp_state 
    {
    hal_bit_t *homed;
    hal_bit_t *machineon;
    hal_bit_t *finished;
    };


class TcpSocket : public QObject
{
    Q_OBJECT
public:
    explicit TcpSocket(int argc, char** argv,QObject *parent = 0);
    ~TcpSocket();
    
    int connectPins();
    
    void startTimer();
   
    void writeOut(QString&);
signals:

public slots:
    virtual void readyRead();
    virtual void eventsLoop();
    
private:
    QTcpSocket *socket;
    QStringList cmdList;
    QTimer *timer;
    int comp_id;
    int progress;
    char prefix[12];
    struct __comp_state *inst;
    
    void QStrncpy(char* , QString& , int );
};

#endif // TCPSOCKET_H
